> ## Documentation Index
> Fetch the complete documentation index at: https://developers.unize.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Graph

> Export the knowledge graph data



## OpenAPI

````yaml get /v1/storage/{graph_id}/
openapi: 3.0.3
info:
  title: Unize API
  version: 1.0.0
  description: Unize API
servers: []
security: []
paths:
  /v1/storage/{graph_id}/:
    get:
      tags:
        - Storage (API & Playground)
      description: Export the knowledge graph data
      operationId: Get Full Graph
      parameters:
        - in: query
          name: cypher_query
          schema:
            type: boolean
            default: false
            description: >-
              Determines the structure of the graph object in the response. When
              `false`, the API returns a JSON object with `graph.nodes` and
              `graph.relationships`. When set to `true`, the response includes
              only the `graph.cypher` property, which contains the full graph in
              Cypher Query format.
        - in: path
          name: graph_id
          schema:
            type: string
          required: true
          description: >-
            The `graph_id` of the knowledge graph to be exported. A `graph_id`
            is an alphanumeric string that uniquely identifies a knowledge
            graph.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GraphModelDetail'
          description: ''
      security:
        - Authentication: []
components:
  schemas:
    GraphModelDetail:
      type: object
      properties:
        graph:
          allOf:
            - $ref: '#/components/schemas/Graph'
              description: >-
                The exported graph data containing either `graph.nodes` and
                `graph.relationships` or `graph.cypher`.
          readOnly: true
        last_graph_merge:
          allOf:
            - $ref: '#/components/schemas/GraphLastMergeModel'
              description: >-
                Details about the most recent graph merge operation executed on
                this knowledge graph.
          readOnly: true
        graph_name:
          type: string
          nullable: true
          description: The name of the knowledge graph being exported.
        total_documents:
          type: integer
          readOnly: true
          description: >-
            The total number of documents that have been processed to create or
            update the knowledge graph.
      required:
        - graph
        - last_graph_merge
        - total_documents
    Graph:
      type: object
      properties:
        nodes:
          type: array
          items:
            $ref: '#/components/schemas/GraphNode'
        relationships:
          type: array
          items:
            $ref: '#/components/schemas/GraphRelationship'
        cypher:
          type: string
      required:
        - cypher
        - nodes
        - relationships
    GraphLastMergeModel:
      type: object
      properties:
        system:
          enum:
            - st-0.75
            - st-0.5
            - import
          type: string
          description: >-
            * `st-0.75` (default) - newest, more accurate, and cheapest Storage
            system

            * `st-0.5` (legacy) - only works with normal and user-defined
            extraction modes

            * `import` - graph import operation
          x-spec-enum-id: 57d6c8e6547114af
        extraction_mode:
          enum:
            - normal
            - detailed
            - user_defined
            - import
          type: string
          description: >-
            * `normal` - extracts all key entities (e.g. 'John Doe') and their
            relationships

            * `detailed` - extracts all entities and relationships

            * `user_defined` - extracts all entities and relationships based on
            the `extraction_criteria` provided by the user

            * `import` - graph import operation
          x-spec-enum-id: 4e56874dd9720adc
        client_display_error:
          type: string
          nullable: true
        status:
          enum:
            - waiting
            - queued
            - in_progress
            - success
            - failed
          type: string
          description: |-
            * `waiting` - waiting
            * `queued` - queued
            * `in_progress` - in_progress
            * `success` - success
            * `failed` - failed
          x-spec-enum-id: 93a5a571d096b88d
        timestamp:
          type: string
          format: date-time
          readOnly: true
        completed_at:
          type: string
          format: date-time
          nullable: true
        extraction_criteria_truncated:
          type: string
      required:
        - extraction_criteria_truncated
        - timestamp
    GraphNode:
      type: object
      properties:
        node_label:
          type: string
        node_name:
          type: string
        node_var:
          type: string
        node_properties: {}
        snippet:
          type: string
      required:
        - node_label
        - node_name
        - node_properties
        - node_var
        - snippet
    GraphRelationship:
      type: object
      properties:
        rel_type:
          type: string
        start_node:
          type: string
        end_node:
          type: string
        rel_properties: {}
      required:
        - end_node
        - rel_properties
        - rel_type
        - start_node
  securitySchemes:
    Authentication:
      type: apiKey
      in: header
      name: Authorization
      description: |-
        Send the API generated from the Playground:
        - `Authorization: <api_key>`

````